Open jobs per filter value
curl --request GET \
--url https://api.letsfind.work/v1/facets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.letsfind.work/v1/facets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsfind.work/v1/facets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.letsfind.work/v1/facets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.letsfind.work/v1/facets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.letsfind.work/v1/facets")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.letsfind.work/v1/facets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"facets": {
"company": [
{
"value": "<string>",
"count": 123
}
],
"ats": [
{
"value": "<string>",
"count": 123
}
],
"workplaceType": [
{
"value": "<string>",
"count": 123
}
],
"employmentType": [
{
"value": "<string>",
"count": 123
}
],
"language": [
{
"value": "<string>",
"count": 123
}
],
"country": [
{
"value": "<string>",
"count": 123
}
],
"region": [
{
"value": "<string>",
"count": 123
}
],
"city": [
{
"value": "<string>",
"count": 123
}
],
"occupation": [
{
"value": "<string>",
"count": 123
}
],
"industry": [
{
"value": "<string>",
"count": 123
}
],
"companySize": [
{
"value": "<string>",
"count": 123
}
],
"benefit": [
{
"value": "<string>",
"count": 123
}
],
"visaSponsorship": [
{
"value": "<string>",
"count": 123
}
]
}
}API Reference
Open jobs per filter value
For each filter, its 50 most common values among open jobs that match the other given filters.
GET
/
v1
/
facets
Open jobs per filter value
curl --request GET \
--url https://api.letsfind.work/v1/facets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.letsfind.work/v1/facets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsfind.work/v1/facets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.letsfind.work/v1/facets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.letsfind.work/v1/facets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.letsfind.work/v1/facets")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.letsfind.work/v1/facets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"facets": {
"company": [
{
"value": "<string>",
"count": 123
}
],
"ats": [
{
"value": "<string>",
"count": 123
}
],
"workplaceType": [
{
"value": "<string>",
"count": 123
}
],
"employmentType": [
{
"value": "<string>",
"count": 123
}
],
"language": [
{
"value": "<string>",
"count": 123
}
],
"country": [
{
"value": "<string>",
"count": 123
}
],
"region": [
{
"value": "<string>",
"count": 123
}
],
"city": [
{
"value": "<string>",
"count": 123
}
],
"occupation": [
{
"value": "<string>",
"count": 123
}
],
"industry": [
{
"value": "<string>",
"count": 123
}
],
"companySize": [
{
"value": "<string>",
"count": 123
}
],
"benefit": [
{
"value": "<string>",
"count": 123
}
],
"visaSponsorship": [
{
"value": "<string>",
"count": 123
}
]
}
}Authorizations
Query Parameters
A place in any common form: a city ("Munich", "München, DE"), a region in any language or its ISO 3166-2 code ("Bavaria", "Bayern", "DE-BY"), a country or its code ("Germany", "DE"), a group of countries ("Europe", "EU"). "Remote" or "Remote in Germany" keep remote jobs only. Repeat the param to match any of several places.
Required array length:
1 - 20 elementsRequired string length:
1 - 200A place in any common form: a city ("Munich", "München, DE"), a region in any language or its ISO 3166-2 code ("Bavaria", "Bayern", "DE-BY"), a country or its code ("Germany", "DE"), a group of countries ("Europe", "EU"). "Remote" or "Remote in Germany" keep remote jobs only. Repeat the param to match any of several places.
Required array length:
1 - 20 elementsRequired string length:
1 - 200